% Dynamic n = 1 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% set parameters
T  = 5.;  % final time
N  = 100; % number of grid points
Pe = 100; % Peclet number
Da = 1.;  % Damkoehler number
n  = 1;   % reaction order

% allocate array for initial concentrations (simply zero)
u0 = zeros(N,1);

% solve BVP for all desired Peclet numbers
f = @(t,u) zeros(size(u0)); % ... COMPLETE HERE ...
[t,u] = ode45(f,[0.,T],u0); % ... COMPLETE HERE ...
Conversion = 1. - u(:,end);

% plot result
figure(3);
clf;
hold on;
box on;
plot(t,Conversion,'b-o');
xlabel('\theta');
ylabel('Conversion');
hold off;

