% set parameters
N   = 100; % number of grid points
NPe =  20; % number of Peclet numbers
Pe = logspace(-2,2,NPe); % generate NPe Peclet numbers log. spaced
                         % between 0.01 and 100
Da = 1.; % Damkoehler number

% Steady State n = 1 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
n  = 1;  % reaction order

% allocate array for concentrations
u = zeros(N,1);

% allocate array for conversion & residuum
Conversion_n1 = zeros(NPe,1);
res_n1 = zeros(NPe,1);

% solve BVP for all desired Peclet numbers
for iPe=1:NPe
  % ... COMPLETE HERE ...
  res_n1(iPe) = norm(f(u),Inf);
end

% Steady State n = 2 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
n  = 2;  % reaction order

% allocate array for concentrations
u = zeros(N,1);

% allocate array for conversion & residuum
Conversion_n2 = zeros(NPe,1);
res_n2 = zeros(NPe,1);

% solve BVP for all desired Peclet numbers
for iPe=1:NPe
  % ... COMPLETE HERE ...
  res_n2(iPe) = norm(f(u),Inf);
end

% plot result %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% plot conversion
% ... COMPLETE HERE ...

% plot residuum norm
figure(2);
clf;
hold on;
box on;
plot(Pe,res_n1,'b-o');
plot(Pe,res_n2,'r-o');
set(gca,'XScale','log');
set(gca,'YScale','log');
xlabel('Pe');
ylabel('residuum norm');
legend('1st Order','2nd Order');
hold off;

